/**
  ******************************************************************************
  * @file    I2C/I2C_TwoBoards/I2C_DataExchange/Master/main.h
  * @author  MCD Application Team
  * @version V2.0.1
  * @date    18-November-2011
  * @brief   Main program header
  ******************************************************************************
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __MAIN_H
#define __MAIN_H

// definition of fast or default standard mode (bus speed up to 400 or 100 kHz) 
#define FAST_I2C_MODE

#ifdef FAST_I2C_MODE
#define I2C_SPEED 300000
#else
#define I2C_SPEED 100000
#endif

// definition of 10-bit or default 7-bit slave address 
// #define TEN_BITS_ADDRESS 

#ifdef TEN_BITS_ADDRESS
#define SLAVE_ADDRESS  0x330
#else
#define SLAVE_ADDRESS  0x30
#endif

// This define is used in master receiver 
// Uncomment the line below if you want to use the safe procedure 
#define SAFE_PROCEDURE


#define BUFFERSIZE  10


typedef enum {FAILED = 0, PASSED = !FAILED} TestStatus;


#endif /* __MAIN_H */


